// ignore: unused_import
import 'package:intl/intl.dart' as intl;
import 'factory_reset_tools_localizations.dart';

// ignore_for_file: type=lint

/// The translations for Portuguese (`pt`).
class FactoryResetToolsLocalizationsPt extends FactoryResetToolsLocalizations {
  FactoryResetToolsLocalizationsPt([String locale = 'pt']) : super(locale);

  @override
  String get appTitle => 'Ferramentas de redefinição de fábrica';

  @override
  String get windowTitle => 'Factory reset tools';

  @override
  String get homeTitle => 'What would you like to do?';

  @override
  String get createResetMedia => 'Create reset media';

  @override
  String get startFactoryReset => 'Start factory reset';

  @override
  String get createUsbTitle => 'Create a USB reset media';

  @override
  String get createUsbBody =>
      'Create a USB reset media to restore the system, as well as customising your Ubuntu installations.';

  @override
  String get createUsbListExplanation =>
      'Select a USB flash drive. The drive must have **at least 16GB of space.**';

  @override
  String get createUsbWarning =>
      'The flash drive will be reformatted and all data on the drive will be lost.';

  @override
  String get resetMediaTitle => 'USB reset media';

  @override
  String get noMediaDetected => 'No removable storage is detected';

  @override
  String get noMediaDetectedSubtitle =>
      'You need a USB storage to create a Factory Reset Media.';

  @override
  String get factoryResetTitle => 'Select an option to start factory reset';

  @override
  String get loadingDrives => 'Please wait while we fetch the drives.';

  @override
  String get resetMediaReadyTitle => 'USB reset media is ready';

  @override
  String get resetMediaReadyBody =>
      'When you want to use it, please insert the USB drive into the computer you want to reset and restart it.';

  @override
  String get errorLoadingDrives =>
      'An error occurred while fetching the drives.';

  @override
  String get resetMediaInitializing => 'Initializing';

  @override
  String get resetMediaCopying => 'Copying';

  @override
  String get resetMediaFinalizing => 'Finalizing';

  @override
  String get resetMediaFinished => 'Finished';

  @override
  String get resetMediaFailed => 'Failed';

  @override
  String get error => 'Error';

  @override
  String get loading => 'Loading...';

  @override
  String get warning => 'Warning';

  @override
  String get restore => 'Restore';

  @override
  String get restart => 'Restart';

  @override
  String get reformat => 'Reformat';

  @override
  String get failed => 'Failed to run command';

  @override
  String get close => 'Fechar';

  @override
  String get ok => 'OK';
}

/// The translations for Portuguese, as used in Brazil (`pt_BR`).
class FactoryResetToolsLocalizationsPtBr
    extends FactoryResetToolsLocalizationsPt {
  FactoryResetToolsLocalizationsPtBr() : super('pt_BR');

  @override
  String get appTitle => 'Ferramentas de redefinição de fábrica';

  @override
  String get windowTitle => 'Ferramentas de redefinição de fábrica';

  @override
  String get homeTitle => 'O que você gostaria de fazer?';

  @override
  String get createResetMedia => 'Criar mídia de redefinição';

  @override
  String get startFactoryReset => 'Iniciar redefinição de fábrica';

  @override
  String get createUsbTitle => 'Criar uma mídia de redefinição USB';

  @override
  String get createUsbBody =>
      'Crie uma mídia de redefinição USB para restaurar o sistema, bem como personalizar suas instalações do Ubuntu.';

  @override
  String get createUsbListExplanation =>
      'Selecione uma unidade flash USB. A unidade deve ter **pelo menos 16 GB de espaço.**';

  @override
  String get createUsbWarning =>
      'A unidade flash será reformatada e todos os dados na unidade serão perdidos.';

  @override
  String get resetMediaTitle => 'Mídia de redefinição USB';

  @override
  String get noMediaDetected => 'Nenhum armazenamento removível foi detectado';

  @override
  String get noMediaDetectedSubtitle =>
      'Você precisa de um armazenamento USB para criar uma Mídia de Redefinição de Fábrica.';

  @override
  String get factoryResetTitle =>
      'Selecione uma opção para iniciar a redefinição de fábrica';

  @override
  String get loadingDrives =>
      'Por favor, aguarde enquanto buscamos as unidades.';

  @override
  String get resetMediaReadyTitle => 'A mídia de redefinição USB está pronta';

  @override
  String get resetMediaReadyBody =>
      'Quando você quiser usá-la, insira a unidade USB no computador que você deseja redefinir e reinicie-o.';

  @override
  String get errorLoadingDrives => 'Ocorreu um erro ao buscar as unidades.';

  @override
  String get resetMediaInitializing => 'Inicializando';

  @override
  String get resetMediaCopying => 'Copiando';

  @override
  String get resetMediaFinalizing => 'Finalizando';

  @override
  String get resetMediaFinished => 'Concluído';

  @override
  String get resetMediaFailed => 'Falhou';

  @override
  String get error => 'Erro';

  @override
  String get loading => 'Carregando...';

  @override
  String get warning => 'Aviso';

  @override
  String get restore => 'Restaurar';

  @override
  String get restart => 'Reiniciar';

  @override
  String get reformat => 'Reformatar';

  @override
  String get failed => 'Falha ao executar o comando';

  @override
  String get close => 'Fechar';

  @override
  String get ok => 'OK';
}
