# Ubuntu Desktop Provision

Ubuntu Desktop Provision enables installation of Ubuntu without first-user account creation.

It is useful for Original Equipment Manufacturers (OEMs) and licensed resellers who want to provision equipment with the Ubuntu operating system, but do not want to set up first user creation.

## In this documentation

| | |
|--|--|
| **{ref}`24.04.1 provisioning guide <24-04-1>`** </br> For configuring an OEM provisioning flow for 24.04.1 LTS, where user creation and account setup is handled separately to system setup | |
% | {ref}`Tutorial <tutorial>` </br> **Start here**: a hands-on introduction to Ubuntu Desktop Provision for new users </br> | {ref}`How-to guides <how-to>` </br> **Step-by-step guides** covering key operations and common tasks |
% | {ref}`Explanation <explanation>` </br> **Discussion and clarification** of key topics | {ref}`Reference <reference>` </br> **Technical information** - specifications, APIs, architecture |

## Project and community

Ubuntu Desktop Provision is a member of the Ubuntu family. It's an open source project
that welcomes community projects, contributions, suggestions, fixes and
constructive feedback.

* Read our [Code of Conduct](https://ubuntu.com/community/code-of-conduct)
* [Get support](https://ubuntu.com/support/community-support)
* {ref}`Contribute <contribute>`
* [Contact us on Matrix](https://matrix.to/#/#ubuntu-apps:matrix.org)

Thinking about using Ubuntu Desktop Provision for your next project? [Get in touch](https://matrix.to/#/#ubuntu-apps:matrix.org)!

```{toctree}
:hidden:
:titlesonly:

oem-provisioning-24_04_1.md
Contributing <CONTRIBUTING>
```

