// This file is @generated by prost-build.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AttachResponse {
    #[prost(enumeration = "AttachStatus", tag = "1")]
    pub status: i32,
    #[prost(string, tag = "2")]
    pub user_code: ::prost::alloc::string::String,
    #[prost(message, optional, tag = "3")]
    pub valid_until: ::core::option::Option<::prost_types::Timestamp>,
    #[prost(string, tag = "4")]
    pub token: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct WatchAuthenticationRequest {
    #[prost(string, tag = "1")]
    pub user_code: ::prost::alloc::string::String,
    #[prost(string, tag = "2")]
    pub token: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct WatchAuthenticationResponse {
    #[prost(enumeration = "AuthenticationStatus", tag = "1")]
    pub status: i32,
    #[prost(string, tag = "2")]
    pub autoinstall: ::prost::alloc::string::String,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum AttachStatus {
    AttachSuccess = 0,
    ErrorNotEnabled = 1,
}
impl AttachStatus {
    /// String value of the enum field names used in the ProtoBuf definition.
    ///
    /// The values are not transformed in any way and thus are considered stable
    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
    pub fn as_str_name(&self) -> &'static str {
        match self {
            Self::AttachSuccess => "ATTACH_SUCCESS",
            Self::ErrorNotEnabled => "ERROR_NOT_ENABLED",
        }
    }
    /// Creates an enum from field names used in the ProtoBuf definition.
    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
        match value {
            "ATTACH_SUCCESS" => Some(Self::AttachSuccess),
            "ERROR_NOT_ENABLED" => Some(Self::ErrorNotEnabled),
            _ => None,
        }
    }
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum AuthenticationStatus {
    AuthenticationPending = 0,
    AuthenticationSuccess = 1,
    ErrorCodeNotFound = 2,
    ErrorCanceledByUser = 3,
    ErrorCodeExpired = 4,
    ErrorEmployeeLimitExceeded = 5,
    ErrorEmployeeDeactivated = 6,
    ErrorEmployeeComputerLimitExceeded = 7,
    ErrorMissingAutoinstallFile = 8,
    ErrorInvalidToken = 9,
}
impl AuthenticationStatus {
    /// String value of the enum field names used in the ProtoBuf definition.
    ///
    /// The values are not transformed in any way and thus are considered stable
    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
    pub fn as_str_name(&self) -> &'static str {
        match self {
            Self::AuthenticationPending => "AUTHENTICATION_PENDING",
            Self::AuthenticationSuccess => "AUTHENTICATION_SUCCESS",
            Self::ErrorCodeNotFound => "ERROR_CODE_NOT_FOUND",
            Self::ErrorCanceledByUser => "ERROR_CANCELED_BY_USER",
            Self::ErrorCodeExpired => "ERROR_CODE_EXPIRED",
            Self::ErrorEmployeeLimitExceeded => "ERROR_EMPLOYEE_LIMIT_EXCEEDED",
            Self::ErrorEmployeeDeactivated => "ERROR_EMPLOYEE_DEACTIVATED",
            Self::ErrorEmployeeComputerLimitExceeded => {
                "ERROR_EMPLOYEE_COMPUTER_LIMIT_EXCEEDED"
            }
            Self::ErrorMissingAutoinstallFile => "ERROR_MISSING_AUTOINSTALL_FILE",
            Self::ErrorInvalidToken => "ERROR_INVALID_TOKEN",
        }
    }
    /// Creates an enum from field names used in the ProtoBuf definition.
    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
        match value {
            "AUTHENTICATION_PENDING" => Some(Self::AuthenticationPending),
            "AUTHENTICATION_SUCCESS" => Some(Self::AuthenticationSuccess),
            "ERROR_CODE_NOT_FOUND" => Some(Self::ErrorCodeNotFound),
            "ERROR_CANCELED_BY_USER" => Some(Self::ErrorCanceledByUser),
            "ERROR_CODE_EXPIRED" => Some(Self::ErrorCodeExpired),
            "ERROR_EMPLOYEE_LIMIT_EXCEEDED" => Some(Self::ErrorEmployeeLimitExceeded),
            "ERROR_EMPLOYEE_DEACTIVATED" => Some(Self::ErrorEmployeeDeactivated),
            "ERROR_EMPLOYEE_COMPUTER_LIMIT_EXCEEDED" => {
                Some(Self::ErrorEmployeeComputerLimitExceeded)
            }
            "ERROR_MISSING_AUTOINSTALL_FILE" => Some(Self::ErrorMissingAutoinstallFile),
            "ERROR_INVALID_TOKEN" => Some(Self::ErrorInvalidToken),
            _ => None,
        }
    }
}
/// Generated client implementations.
pub mod landscape_installer_attach_client {
    #![allow(
        unused_variables,
        dead_code,
        missing_docs,
        clippy::wildcard_imports,
        clippy::let_unit_value,
    )]
    use tonic::codegen::*;
    use tonic::codegen::http::Uri;
    #[derive(Debug, Clone)]
    pub struct LandscapeInstallerAttachClient<T> {
        inner: tonic::client::Grpc<T>,
    }
    impl LandscapeInstallerAttachClient<tonic::transport::Channel> {
        /// Attempt to create a new client by connecting to a given endpoint.
        pub async fn connect<D>(dst: D) -> Result<Self, tonic::transport::Error>
        where
            D: TryInto<tonic::transport::Endpoint>,
            D::Error: Into<StdError>,
        {
            let conn = tonic::transport::Endpoint::new(dst)?.connect().await?;
            Ok(Self::new(conn))
        }
    }
    impl<T> LandscapeInstallerAttachClient<T>
    where
        T: tonic::client::GrpcService<tonic::body::BoxBody>,
        T::Error: Into<StdError>,
        T::ResponseBody: Body<Data = Bytes> + std::marker::Send + 'static,
        <T::ResponseBody as Body>::Error: Into<StdError> + std::marker::Send,
    {
        pub fn new(inner: T) -> Self {
            let inner = tonic::client::Grpc::new(inner);
            Self { inner }
        }
        pub fn with_origin(inner: T, origin: Uri) -> Self {
            let inner = tonic::client::Grpc::with_origin(inner, origin);
            Self { inner }
        }
        pub fn with_interceptor<F>(
            inner: T,
            interceptor: F,
        ) -> LandscapeInstallerAttachClient<InterceptedService<T, F>>
        where
            F: tonic::service::Interceptor,
            T::ResponseBody: Default,
            T: tonic::codegen::Service<
                http::Request<tonic::body::BoxBody>,
                Response = http::Response<
                    <T as tonic::client::GrpcService<tonic::body::BoxBody>>::ResponseBody,
                >,
            >,
            <T as tonic::codegen::Service<
                http::Request<tonic::body::BoxBody>,
            >>::Error: Into<StdError> + std::marker::Send + std::marker::Sync,
        {
            LandscapeInstallerAttachClient::new(
                InterceptedService::new(inner, interceptor),
            )
        }
        /// Compress requests with the given encoding.
        ///
        /// This requires the server to support it otherwise it might respond with an
        /// error.
        #[must_use]
        pub fn send_compressed(mut self, encoding: CompressionEncoding) -> Self {
            self.inner = self.inner.send_compressed(encoding);
            self
        }
        /// Enable decompressing responses.
        #[must_use]
        pub fn accept_compressed(mut self, encoding: CompressionEncoding) -> Self {
            self.inner = self.inner.accept_compressed(encoding);
            self
        }
        /// Limits the maximum size of a decoded message.
        ///
        /// Default: `4MB`
        #[must_use]
        pub fn max_decoding_message_size(mut self, limit: usize) -> Self {
            self.inner = self.inner.max_decoding_message_size(limit);
            self
        }
        /// Limits the maximum size of an encoded message.
        ///
        /// Default: `usize::MAX`
        #[must_use]
        pub fn max_encoding_message_size(mut self, limit: usize) -> Self {
            self.inner = self.inner.max_encoding_message_size(limit);
            self
        }
        pub async fn attach(
            &mut self,
            request: impl tonic::IntoRequest<()>,
        ) -> std::result::Result<tonic::Response<super::AttachResponse>, tonic::Status> {
            self.inner
                .ready()
                .await
                .map_err(|e| {
                    tonic::Status::unknown(
                        format!("Service was not ready: {}", e.into()),
                    )
                })?;
            let codec = tonic::codec::ProstCodec::default();
            let path = http::uri::PathAndQuery::from_static(
                "/landscape_installer_attach.LandscapeInstallerAttach/Attach",
            );
            let mut req = request.into_request();
            req.extensions_mut()
                .insert(
                    GrpcMethod::new(
                        "landscape_installer_attach.LandscapeInstallerAttach",
                        "Attach",
                    ),
                );
            self.inner.unary(req, path, codec).await
        }
        pub async fn watch_authentication(
            &mut self,
            request: impl tonic::IntoRequest<super::WatchAuthenticationRequest>,
        ) -> std::result::Result<
            tonic::Response<tonic::codec::Streaming<super::WatchAuthenticationResponse>>,
            tonic::Status,
        > {
            self.inner
                .ready()
                .await
                .map_err(|e| {
                    tonic::Status::unknown(
                        format!("Service was not ready: {}", e.into()),
                    )
                })?;
            let codec = tonic::codec::ProstCodec::default();
            let path = http::uri::PathAndQuery::from_static(
                "/landscape_installer_attach.LandscapeInstallerAttach/WatchAuthentication",
            );
            let mut req = request.into_request();
            req.extensions_mut()
                .insert(
                    GrpcMethod::new(
                        "landscape_installer_attach.LandscapeInstallerAttach",
                        "WatchAuthentication",
                    ),
                );
            self.inner.server_streaming(req, path, codec).await
        }
    }
}
/// Generated server implementations.
pub mod landscape_installer_attach_server {
    #![allow(
        unused_variables,
        dead_code,
        missing_docs,
        clippy::wildcard_imports,
        clippy::let_unit_value,
    )]
    use tonic::codegen::*;
    /// Generated trait containing gRPC methods that should be implemented for use with LandscapeInstallerAttachServer.
    #[async_trait]
    pub trait LandscapeInstallerAttach: std::marker::Send + std::marker::Sync + 'static {
        async fn attach(
            &self,
            request: tonic::Request<()>,
        ) -> std::result::Result<tonic::Response<super::AttachResponse>, tonic::Status>;
        /// Server streaming response type for the WatchAuthentication method.
        type WatchAuthenticationStream: tonic::codegen::tokio_stream::Stream<
                Item = std::result::Result<
                    super::WatchAuthenticationResponse,
                    tonic::Status,
                >,
            >
            + std::marker::Send
            + 'static;
        async fn watch_authentication(
            &self,
            request: tonic::Request<super::WatchAuthenticationRequest>,
        ) -> std::result::Result<
            tonic::Response<Self::WatchAuthenticationStream>,
            tonic::Status,
        >;
    }
    #[derive(Debug)]
    pub struct LandscapeInstallerAttachServer<T> {
        inner: Arc<T>,
        accept_compression_encodings: EnabledCompressionEncodings,
        send_compression_encodings: EnabledCompressionEncodings,
        max_decoding_message_size: Option<usize>,
        max_encoding_message_size: Option<usize>,
    }
    impl<T> LandscapeInstallerAttachServer<T> {
        pub fn new(inner: T) -> Self {
            Self::from_arc(Arc::new(inner))
        }
        pub fn from_arc(inner: Arc<T>) -> Self {
            Self {
                inner,
                accept_compression_encodings: Default::default(),
                send_compression_encodings: Default::default(),
                max_decoding_message_size: None,
                max_encoding_message_size: None,
            }
        }
        pub fn with_interceptor<F>(
            inner: T,
            interceptor: F,
        ) -> InterceptedService<Self, F>
        where
            F: tonic::service::Interceptor,
        {
            InterceptedService::new(Self::new(inner), interceptor)
        }
        /// Enable decompressing requests with the given encoding.
        #[must_use]
        pub fn accept_compressed(mut self, encoding: CompressionEncoding) -> Self {
            self.accept_compression_encodings.enable(encoding);
            self
        }
        /// Compress responses with the given encoding, if the client supports it.
        #[must_use]
        pub fn send_compressed(mut self, encoding: CompressionEncoding) -> Self {
            self.send_compression_encodings.enable(encoding);
            self
        }
        /// Limits the maximum size of a decoded message.
        ///
        /// Default: `4MB`
        #[must_use]
        pub fn max_decoding_message_size(mut self, limit: usize) -> Self {
            self.max_decoding_message_size = Some(limit);
            self
        }
        /// Limits the maximum size of an encoded message.
        ///
        /// Default: `usize::MAX`
        #[must_use]
        pub fn max_encoding_message_size(mut self, limit: usize) -> Self {
            self.max_encoding_message_size = Some(limit);
            self
        }
    }
    impl<T, B> tonic::codegen::Service<http::Request<B>>
    for LandscapeInstallerAttachServer<T>
    where
        T: LandscapeInstallerAttach,
        B: Body + std::marker::Send + 'static,
        B::Error: Into<StdError> + std::marker::Send + 'static,
    {
        type Response = http::Response<tonic::body::BoxBody>;
        type Error = std::convert::Infallible;
        type Future = BoxFuture<Self::Response, Self::Error>;
        fn poll_ready(
            &mut self,
            _cx: &mut Context<'_>,
        ) -> Poll<std::result::Result<(), Self::Error>> {
            Poll::Ready(Ok(()))
        }
        fn call(&mut self, req: http::Request<B>) -> Self::Future {
            match req.uri().path() {
                "/landscape_installer_attach.LandscapeInstallerAttach/Attach" => {
                    #[allow(non_camel_case_types)]
                    struct AttachSvc<T: LandscapeInstallerAttach>(pub Arc<T>);
                    impl<T: LandscapeInstallerAttach> tonic::server::UnaryService<()>
                    for AttachSvc<T> {
                        type Response = super::AttachResponse;
                        type Future = BoxFuture<
                            tonic::Response<Self::Response>,
                            tonic::Status,
                        >;
                        fn call(&mut self, request: tonic::Request<()>) -> Self::Future {
                            let inner = Arc::clone(&self.0);
                            let fut = async move {
                                <T as LandscapeInstallerAttach>::attach(&inner, request)
                                    .await
                            };
                            Box::pin(fut)
                        }
                    }
                    let accept_compression_encodings = self.accept_compression_encodings;
                    let send_compression_encodings = self.send_compression_encodings;
                    let max_decoding_message_size = self.max_decoding_message_size;
                    let max_encoding_message_size = self.max_encoding_message_size;
                    let inner = self.inner.clone();
                    let fut = async move {
                        let method = AttachSvc(inner);
                        let codec = tonic::codec::ProstCodec::default();
                        let mut grpc = tonic::server::Grpc::new(codec)
                            .apply_compression_config(
                                accept_compression_encodings,
                                send_compression_encodings,
                            )
                            .apply_max_message_size_config(
                                max_decoding_message_size,
                                max_encoding_message_size,
                            );
                        let res = grpc.unary(method, req).await;
                        Ok(res)
                    };
                    Box::pin(fut)
                }
                "/landscape_installer_attach.LandscapeInstallerAttach/WatchAuthentication" => {
                    #[allow(non_camel_case_types)]
                    struct WatchAuthenticationSvc<T: LandscapeInstallerAttach>(
                        pub Arc<T>,
                    );
                    impl<
                        T: LandscapeInstallerAttach,
                    > tonic::server::ServerStreamingService<
                        super::WatchAuthenticationRequest,
                    > for WatchAuthenticationSvc<T> {
                        type Response = super::WatchAuthenticationResponse;
                        type ResponseStream = T::WatchAuthenticationStream;
                        type Future = BoxFuture<
                            tonic::Response<Self::ResponseStream>,
                            tonic::Status,
                        >;
                        fn call(
                            &mut self,
                            request: tonic::Request<super::WatchAuthenticationRequest>,
                        ) -> Self::Future {
                            let inner = Arc::clone(&self.0);
                            let fut = async move {
                                <T as LandscapeInstallerAttach>::watch_authentication(
                                        &inner,
                                        request,
                                    )
                                    .await
                            };
                            Box::pin(fut)
                        }
                    }
                    let accept_compression_encodings = self.accept_compression_encodings;
                    let send_compression_encodings = self.send_compression_encodings;
                    let max_decoding_message_size = self.max_decoding_message_size;
                    let max_encoding_message_size = self.max_encoding_message_size;
                    let inner = self.inner.clone();
                    let fut = async move {
                        let method = WatchAuthenticationSvc(inner);
                        let codec = tonic::codec::ProstCodec::default();
                        let mut grpc = tonic::server::Grpc::new(codec)
                            .apply_compression_config(
                                accept_compression_encodings,
                                send_compression_encodings,
                            )
                            .apply_max_message_size_config(
                                max_decoding_message_size,
                                max_encoding_message_size,
                            );
                        let res = grpc.server_streaming(method, req).await;
                        Ok(res)
                    };
                    Box::pin(fut)
                }
                _ => {
                    Box::pin(async move {
                        let mut response = http::Response::new(empty_body());
                        let headers = response.headers_mut();
                        headers
                            .insert(
                                tonic::Status::GRPC_STATUS,
                                (tonic::Code::Unimplemented as i32).into(),
                            );
                        headers
                            .insert(
                                http::header::CONTENT_TYPE,
                                tonic::metadata::GRPC_CONTENT_TYPE,
                            );
                        Ok(response)
                    })
                }
            }
        }
    }
    impl<T> Clone for LandscapeInstallerAttachServer<T> {
        fn clone(&self) -> Self {
            let inner = self.inner.clone();
            Self {
                inner,
                accept_compression_encodings: self.accept_compression_encodings,
                send_compression_encodings: self.send_compression_encodings,
                max_decoding_message_size: self.max_decoding_message_size,
                max_encoding_message_size: self.max_encoding_message_size,
            }
        }
    }
    /// Generated gRPC service name
    pub const SERVICE_NAME: &str = "landscape_installer_attach.LandscapeInstallerAttach";
    impl<T> tonic::server::NamedService for LandscapeInstallerAttachServer<T> {
        const NAME: &'static str = SERVICE_NAME;
    }
}
